| PDM-IR SDK 3.2.8 PDM-IR_SDK

- Main Page
- Modules
- Data Structures
- Files

Functions
Configuration methods

## Functions
DllSDKExport RESULT | PDMIR_SaveCurrentConfig (UINT16 serialNumber, UINT8 configNumber, char *configName)
DllSDKExport RESULT | PDMIR_SaveCurrentConfigForceOverWrite (UINT16 serialNumber, UINT8 configNumber, char *configName)
DllSDKExport RESULT | PDMIR_DeleteConfig (UINT16 serialNumber, UINT8 configNumber)
DllSDKExport RESULT | PDMIR_SetConfigPowerUp (UINT16 serialNumber, UINT8 configNumber)
DllSDKExport RESULT | PDMIR_LoadConfig (UINT16 serialNumber, UINT8 configNumber)
DllSDKExport RESULT | PDMIR_GetCurrentConfig (UINT16 serialNumber, MODULECONFIG *config)
DllSDKExport RESULT | PDMIR_GetConfigX (UINT16 serialNumber, UINT8 configNumber, MODULECONFIG *config, char *configName)
DllSDKExport RESULT | PDMIR_GetConfigPowerUp (UINT16 serialNumber, UINT8 *configNumber)

## Detailed Description

Functions to manage the configurations of the PDM-IR.

## Function Documentation

DllSDKExport RESULT PDMIR_SaveCurrentConfig | ( | UINT16 | serialNumber,
|  | UINT8 | configNumber,
|  | char * | configName
| ) |  |

Store current configuration of the PDM-IR in the configNumber position.

Parameters

  serialNumber | PDM-IR serial number
  configNumber | position where the configuration will be saved. Allowed values: from 4 to 10. If the position cointains a valid configuration doesn't overwrite the configuration
  configName | Pointer to a char array. Max length is 16 chars. The name needs to be terminated with 0.

Returns
  RESULT_OK
  RESULT_ERROR_COMMUNICATION Error communicating with the PDM-IR or there's a valid configuration in the configuration position.
  RESULT_DATA_OUT_LIMIT_HIGH The position set is higher than max value.
  RESULT_DATA_OUT_LIMIT_LOW The position set is lower than min value.

See also
  PDMIR_LoadConfig()

DllSDKExport RESULT PDMIR_SaveCurrentConfigForceOverWrite | ( | UINT16 | serialNumber,
|  | UINT8 | configNumber,
|  | char * | configName
| ) |  |

Store current configuration of the PDM-IR in the configNumber position overwriting the existing one.

Parameters

  serialNumber | PDM-IR serial number
  configNumber | position where save the configuration. Allowed values: from 4 to 10. If the position cointains a valid configuration, it's overwrote
  configName | Pointer to a char array. Max length is 16 chars. The name needs to be terminated with 0.

Returns
  RESULT_OK
  RESULT_ERROR_COMMUNICATION Error communicating with the PDM-IR.
  RESULT_DATA_OUT_LIMIT_HIGH The position set is higher than max value.
  RESULT_DATA_OUT_LIMIT_LOW The position set is lower than min value.

See also
  PDMIR_LoadConfig()

DllSDKExport RESULT PDMIR_DeleteConfig | ( | UINT16 | serialNumber,
|  | UINT8 | configNumber
| ) |  |

Delete the configuration stored in the configNumber position.

Parameters

  serialNumber | PDM-IR serial number
  configNumber | position where the configuration will be deleted. Allowed values: from 4 to 10.

Returns
  RESULT_OK
  RESULT_ERROR_COMMUNICATION Error communicating with the PDM-IR or the configuration doesn't exist.
  RESULT_DATA_OUT_LIMIT_HIGH The position set is higher than max value.
  RESULT_DATA_OUT_LIMIT_LOW The position set is lower than min value.

See also
  PDMIR_LoadConfig()

DllSDKExport RESULT PDMIR_SetConfigPowerUp | ( | UINT16 | serialNumber,
|  | UINT8 | configNumber
| ) |  |

Set a stored configuration as power up configuration of the PDM-IR.

Parameters

  serialNumber | PDM-IR serial number
  configNumber | Configuration position set as power up configuration. Allowed values: from 1 to 10.

Returns
  RESULT_OK
  RESULT_ERROR_COMMUNICATION Error communicating with the PDM-IR or the configuration in configNumber position doesn't exist.
  RESULT_DATA_OUT_LIMIT_HIGH The position set is higher than max value.
  RESULT_DATA_OUT_LIMIT_LOW The position set is lower than min value.

See also
  PDMIR_LoadConfig()

DllSDKExport RESULT PDMIR_LoadConfig | ( | UINT16 | serialNumber,
|  | UINT8 | configNumber
| ) |  |

Load a stored configuration of the PDM-IR.

Parameters

  serialNumber | PDM-IR serial number
  configNumber | position where the configuration is read and loaded. Allowed values: from 1 to 10.

Returns
  RESULT_OK
  RESULT_ERROR_COMMUNICATION Error communicating with the PDM-IR or the configuration doesn't exist.
  RESULT_DATA_OUT_LIMIT_HIGH The position set is higher than max value.
  RESULT_DATA_OUT_LIMIT_LOW The position set is lower than min value.

See also
  PDMIR_SaveCurrentConfig()
  PDMIR_SaveCurrentConfigForceOverWrite()
  PDMIR_DeleteConfig()
  PDMIR_SetConfigPowerUp()

DllSDKExport RESULT PDMIR_GetCurrentConfig | ( | UINT16 | serialNumber,
|  | MODULECONFIG * | config
| ) |  |

Get the current configuration parameters of the PDM-IR.

Parameters

  serialNumber | PDM-IR serial number
  config | Pointer to MODULECONFIG structure.

Returns
  RESULT_OK
  RESULT_ERROR_COMMUNICATION Error communicating with the PDM-IR.

DllSDKExport RESULT PDMIR_GetConfigX | ( | UINT16 | serialNumber,
|  | UINT8 | configNumber,
|  | MODULECONFIG * | config,
|  | char * | configName
| ) |  |

Get a stored configuration of the PDM-IR.

Parameters

  serialNumber | PDM-IR serial number
  configNumber | position where the configuration is read. Allowed values: from 1 to 10.
  config | Pointer to MODULECONFIG structure. This parameter is referenced.
  configName | Pointer to a char array cointaining the configuration name. Max length is 16 chars. This parameter is referenced.

Returns
  RESULT_OK
  RESULT_ERROR_COMMUNICATION Error communicating with the PDM-IR.
  RESULT_DATA_OUT_LIMIT_HIGH The position set is higher than max value.
  RESULT_DATA_OUT_LIMIT_LOW The position set is lower than min value.

DllSDKExport RESULT PDMIR_GetConfigPowerUp | ( | UINT16 | serialNumber,
|  | UINT8 * | configNumber
| ) |  |

Get the stored configuration number set as power up configuration of the PDM-IR.

Parameters

  serialNumber | PDM-IR serial number
  configNumber | Pointer to power up configuration position. Allowed values: from 1 to 10. This parameter is referenced.

Returns
  RESULT_OK
  RESULT_ERROR_COMMUNICATION Error communicating with the PDM-IR or the configuration doesn't exist.
  RESULT_DATA_OUT_LIMIT_HIGH The position set is higher than max value.
  RESULT_DATA_OUT_LIMIT_LOW The position set is lower than min value.